Subject: bug#45016: 26.3; when in ediff-current-file, 'D' (view diff) shows empty diff

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 09 May 2022 14:07:34 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> There's helpfully no doc string here (or comments) about what `arg' is
> meant to express, but if we have `arg', we work on `ediff-diff-buffer'
> (and this works), and if we don't have `arg', then
> `ediff-custom-diff-buffer' is used (and this doesn't work).
>
> I'm pretty unfamiliar with ediff -- does anybody know what the intention
> here is for the prefix arg?

I looked around in the rest of ediff, and that clarified the purpose,
and I've now made it show the `C-u D' output when the customised output
didn't return anything in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no